--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Constructs a Requirement from <tt>requirements</tt> which can be a String, a Gem::Version, or an Array of those. See parse for details on the formatting of requirement strings.
full_name: Gem::Requirement::new
is_singleton: true
name: new
params: (requirements)
visibility: public
